// FourierPDEView.h : interface of the CFourierPDEView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_FOURIERPDEVIEW_H__F3020050_C8B3_11D1_B6C3_00A0C995F22C__INCLUDED_)
#define AFX_FOURIERPDEVIEW_H__F3020050_C8B3_11D1_B6C3_00A0C995F22C__INCLUDED_

#include "PDEsim.h"	// Added by ClassView
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CFourierPDEView : public CView
{
protected: // create from serialization only
	CFourierPDEView();
	DECLARE_DYNCREATE(CFourierPDEView)

// Attributes
public:
	CFourierPDEDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFourierPDEView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	CBitmap * buffer;
	CDC * bufferDC;
	volatile bool stopThread;
	PDEsim sim;
	virtual ~CFourierPDEView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	CBitmap * oldBuffer;
	CWinThread * thread;
	//{{AFX_MSG(CFourierPDEView)
	afx_msg void OnParameterSet();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in FourierPDEView.cpp
inline CFourierPDEDoc* CFourierPDEView::GetDocument()
   { return (CFourierPDEDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FOURIERPDEVIEW_H__F3020050_C8B3_11D1_B6C3_00A0C995F22C__INCLUDED_)
